datacache <- new.env(hash=TRUE, parent=emptyenv())

mwgcod <- function() showQCData("mwgcod", datacache)
mwgcod_dbconn <- function() dbconn(datacache)
mwgcod_dbfile <- function() dbfile(datacache)
mwgcod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mwgcod_dbInfo <- function() dbInfo(datacache)

mwgcodORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mwgcod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mwgcod", "chip mwgcod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mwgcod_dbconn())
}

